Roleassignments - Remove Role Assignment
リソースのロールの割り当てを削除する
DELETE https://dev.azure.com/{organization}/_apis/securityroles/scopes/{scopeId}/roleassignments/resources/{resourceId}/{identityId}?api-version=7.1-preview.1
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
identity
|
path | True |
string uuid |
割り当てを削除する ID |
|
resource
|
path | True |
string |
ロールを削除するリソースの ID |
|
scope
|
path | True |
string |
割り当てられたスコープの ID |
|
organization
|
path |
string |
Azure DevOps 組織の名前です。 |
|
|
api-version
|
query | True |
string |
使う API のバージョン。 このバージョンの API を使用するには、これを '7.1-preview.1' に設定する必要があります。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
正常な操作 |
セキュリティ
oauth2
型:
oauth2
フロー:
accessCode
Authorization URL (承認 URL):
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL (トークン URL):
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
スコープ
| 名前 | 説明 |
|---|---|
| vso.security_manage | セキュリティ アクセス許可の読み取り、書き込み、管理を行う機能を付与します。 |